<div class="col-10 body">
    @if (contracts$ | async; as contracts) {
        <p>
            This contract formalizes the establishment of your company within our system. Upon confirmation of the registration process, an email
            will be sent to you, and you will be required to review and sign the Company Registration Contract. This contract signifies your
            company's consent to provide accurate and up-to-date information to EuroDaT.
        </p>
        <div class="pb-3"></div>
        <!-- Show 'Set up company' button if no contracts exist -->
        @if (contracts.length === 0) {
            <button
                type="button"
                class="btn-default btn-same-size-large"
                (click)="setUpCompanyClick()"
                data-test="setup-button"
                [disabled]="loadingSetup"
            >
                @if (loadingSetup) {
                    <output data-test="setup-spinner" class="spinner-border spinner-border-sm"></output>
                }
                @if (!loadingSetup) {
                    <output>{{ "Set up company" }}</output>
                }
            </button>
        }
        <!-- Display contract info and allow termination -->
        @if (contracts.length !== 0) {
            <div>
                @for (contract of contracts; track contract) {
                    @if (contract.contractType === "ONBOARDING_COMPANY_MASTERDATA") {
                        <p>
                            The document for the company onboarding is {{ contract.status | lowercase }}.
                            <!-- Terminate contract button -->
                            <button
                                type="button"
                                class="btn-danger btn-same-size-small"
                                (click)="terminateContractClick(contract)"
                                data-test="terminate-onboarding-contract-button"
                                [disabled]="loadingTerminate"
                                style="margin-left: 1rem"
                            >
                                @if (loadingTerminate) {
                                    <output data-test="terminate-spinner" class="spinner-border spinner-border-sm"></output>
                                }
                                @if (!loadingTerminate) {
                                    <output>{{ "Terminate" }}</output>
                                }
                            </button>
                        </p>
                    }
                }
            </div>
        }
    }
</div>
